%define name gcal
%define version 3.01
%define release 4mdk

Summary: Print calendars
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
Source0: ftp://ftp.gnu.org/pub/gnu/gcal/%{name}-%{version}.tar.bz2
Patch0: gcal-fix-relative-symlinks.patch.bz2
URL: http://www.gnu.org/software/gcal/gcal.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gcal is a program for printing calendars. Gcal displays a calendar for a month
or a year, eternal holiday lists and fixed date lists, in many ways. The
program correctly omits the dates that were skipped when the current Gregorian
calendar replaced the earlier Julian calendar.

Additionally, it can generate air line distance between over 400 cities on
earth, moon phases in these cities, whole annual holidays, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0

%build

%configure 

%make

%install
%makeinstall 
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/share/gcal/misc/*/*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp $RPM_BUILD_ROOT%{_mandir}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%find_lang %{name}

%post
/sbin/install-info /usr/share/info/%{name}.info.bz2 /usr/share/info/dir

%preun
/sbin/install-info --delete /usr/share/info/%{name}.info.bz2 /usr/share/info/dir

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README LIMITATIONS COPYING ATTENTION HISTORY DISCLAIM
%{_bindir}/*
%{_datadir}/gcal
%{_infodir}/gcal*
%{_mandir}/*/*

%changelog
* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-4mdk
- rebuild

* Fri May 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.01-3mdk
- use find_lang

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.01-2mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- macros
- BM

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.00-2mdk
- better group

* Fri Jun  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.00-1mdk
- first Mandrake package

